[diffoscope] 01/01: tests/basic-command-line: check exit code and use a more complex example
Ximin Luo
infinity0 at debian.org
Fri Sep 23 18:12:26 CEST 2016
This is an automated email from the git hooks/post-receive script.
infinity0 pushed a commit to branch master
in repository diffoscope.
commit 7adb6b7d5b4d661a127bc4233b6f715cf30a61ad
Author: Ximin Luo <infinity0 at debian.org>
Date: Fri Sep 23 18:11:48 2016 +0200
tests/basic-command-line: check exit code and use a more complex example
---
debian/tests/basic-command-line | 13 ++++++++++++-
1 file changed, 12 insertions(+), 1 deletion(-)
diff --git a/debian/tests/basic-command-line b/debian/tests/basic-command-line
index 9cf5979..906831a 100755
--- a/debian/tests/basic-command-line
+++ b/debian/tests/basic-command-line
@@ -28,8 +28,19 @@ if [ $? -ne 1 ]; then
exit 1
fi
-echo "Testing LC_ALL=C works"
+echo "Testing LC_ALL=C works..."
+LC_ALL=C diffoscope --debug $ADTTMP/a $ADTTMP/a_ 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "diffoscope could not handle LC_ALL=C; make sure you're not unconditionally outputting non-ascii chars anywhere." >&2
+ exit 1
+fi
+
+echo "Testing LC_ALL=C works (--help)..."
LC_ALL=C diffoscope --help >/dev/null
+if [ $? -ne 0 ]; then
+ echo "diffoscope could not handle LC_ALL=C; make sure you're not unconditionally outputting non-ascii chars anywhere." >&2
+ exit 1
+fi
echo "Testing invalid command line flag..."
diffoscope --thisflagdoesntexistandwontexist
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/diffoscope.git
More information about the diffoscope
mailing list